Subject: bug#13379: 24.3.50; compilation-start-hook: misleading docstring

From: Christopher Schmidt <[email-masked]>
Date: Mon, 7 Jan 2013 20:12:51 +0000 (GMT)

Severity: minor

The docstring of compilation-start-hook is misleading.

The reference to run-hook-with-args is superfluous, so is the reference
to omake.  I do not think set-process-query-on-exit-flag should be used
in compilation-start-hook - compilation-always-kill is the way to go, or
it should be explained why the lambda is added buffer locally and where
this form should be evaled.

        Christopher